package mhp.oee.po.gen;

import java.util.Date;

public class ActivityClientPermPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_client_perm.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_client_perm.USER_GROUP_BO
     *
     * @mbggenerated
     */
    private String userGroupBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_client_perm.ACTIVITY_CLIENT_BO
     *
     * @mbggenerated
     */
    private String activityClientBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_client_perm.PERMISSION_SETTING
     *
     * @mbggenerated
     */
    private String permissionSetting;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_client_perm.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_client_perm.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_client_perm.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_client_perm.HANDLE
     *
     * @return the value of activity_client_perm.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_client_perm.HANDLE
     *
     * @param handle the value for activity_client_perm.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_client_perm.USER_GROUP_BO
     *
     * @return the value of activity_client_perm.USER_GROUP_BO
     *
     * @mbggenerated
     */
    public String getUserGroupBo() {
        return userGroupBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_client_perm.USER_GROUP_BO
     *
     * @param userGroupBo the value for activity_client_perm.USER_GROUP_BO
     *
     * @mbggenerated
     */
    public void setUserGroupBo(String userGroupBo) {
        this.userGroupBo = userGroupBo == null ? null : userGroupBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_client_perm.ACTIVITY_CLIENT_BO
     *
     * @return the value of activity_client_perm.ACTIVITY_CLIENT_BO
     *
     * @mbggenerated
     */
    public String getActivityClientBo() {
        return activityClientBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_client_perm.ACTIVITY_CLIENT_BO
     *
     * @param activityClientBo the value for activity_client_perm.ACTIVITY_CLIENT_BO
     *
     * @mbggenerated
     */
    public void setActivityClientBo(String activityClientBo) {
        this.activityClientBo = activityClientBo == null ? null : activityClientBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_client_perm.PERMISSION_SETTING
     *
     * @return the value of activity_client_perm.PERMISSION_SETTING
     *
     * @mbggenerated
     */
    public String getPermissionSetting() {
        return permissionSetting;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_client_perm.PERMISSION_SETTING
     *
     * @param permissionSetting the value for activity_client_perm.PERMISSION_SETTING
     *
     * @mbggenerated
     */
    public void setPermissionSetting(String permissionSetting) {
        this.permissionSetting = permissionSetting == null ? null : permissionSetting.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_client_perm.CREATED_DATE_TIME
     *
     * @return the value of activity_client_perm.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_client_perm.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for activity_client_perm.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_client_perm.MODIFIED_DATE_TIME
     *
     * @return the value of activity_client_perm.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_client_perm.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for activity_client_perm.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_client_perm.MODIFIED_USER
     *
     * @return the value of activity_client_perm.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_client_perm.MODIFIED_USER
     *
     * @param modifiedUser the value for activity_client_perm.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}